%define upstream_name hupper

Name:           python-%{upstream_name}
Version:        1.10.2
Release:        %mkrel 2
Summary:        Integrated process monitor for developing and reloading daemons
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/hupper/
Source0:        https://files.pythonhosted.org/packages/c7/d0/e4b893c88eb8b7389d3a4b5306525742c3497b4bffe0a4257bbacbdbcec5/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

%description
hupper is an integrated process monitor that will track changes to any imported
Python files in sys.modules as well as custom paths. When files are changed the
process is restarted.

%package -n     python3-%{upstream_name}
Summary:        Integrated process monitor for developing and reloading daemons
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{upstream_name}
hupper is an integrated process monitor that will track changes to any imported
Python files in sys.modules as well as custom paths. When files are changed the
process is restarted.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%doc README.rst
%{_bindir}/hupper
%{python3_sitelib}/hupper
%{python3_sitelib}/hupper-%{version}-*.egg-info


%changelog
* Thu Jul 23 2020 ovitters <ovitters> 1.10.2-2.mga8
+ Revision: 1608275
- rebuild for removing pythonegg buildrequires in srpm

* Tue Apr 21 2020 guillomovitch <guillomovitch> 1.10.2-1.mga8
+ Revision: 1570306
- new version 1.10.2

* Tue Feb 18 2020 umeabot <umeabot> 1.9.1-2.mga8
+ Revision: 1539926
- Mageia 8 Mass Rebuild

* Sat Dec 14 2019 guillomovitch <guillomovitch> 1.9.1-1.mga8
+ Revision: 1467139
- new version 1.9.1

* Fri Oct 18 2019 guillomovitch <guillomovitch> 1.9-1.mga8
+ Revision: 1454506
- new version 1.9

* Thu Oct 03 2019 guillomovitch <guillomovitch> 1.8.1-2.mga8
+ Revision: 1449130
- rebuild for python 3.8
- drop python2 support

* Mon Jul 01 2019 guillomovitch <guillomovitch> 1.8.1-1.mga8
+ Revision: 1417106
- imported package python-hupper

